JUCE: ARAObjectVisitor Class Reference

JUCE

Public Member Functions | List of all members
ARAObjectVisitor Class Reference
juce_audio_processors » utilities

Create a derived implementation of this class and pass it to ARAObject::visit() to retrieve the concrete type of a model object. More...

`#include <juce_ARAModelObjects.h>`

## Public Member Functions
virtual | ~ARAObjectVisitor ()=default
| Destructor. More...
virtual void | visitDocument (juce::ARADocument &)
| Called when visiting an ARADocument object. More...
virtual void | visitMusicalContext (juce::ARAMusicalContext &)
| Called when visiting an ARAMusicalContext object. More...
virtual void | visitRegionSequence (juce::ARARegionSequence &)
| Called when visiting an ARARegionSequence object. More...
virtual void | visitPlaybackRegion (juce::ARAPlaybackRegion &)
| Called when visiting an ARAPlaybackRegion object. More...
virtual void | visitAudioModification (juce::ARAAudioModification &)
| Called when visiting an ARAAudioModification object. More...
virtual void | visitAudioSource (juce::ARAAudioSource &)
| Called when visiting an ARAAudioSource object. More...

## Detailed Description

Create a derived implementation of this class and pass it to ARAObject::visit() to retrieve the concrete type of a model object.

Combined with ARAObject::traverse() on the ARADocument object it is possible to discover the entire model graph.

Note that the references passed to the visit member functions are only guaranteed to live for the duration of the function call, so don't store pointers to these objects!

## Constructor & Destructor Documentation

## ◆ ~ARAObjectVisitor()

virtual ARAObjectVisitor::~ARAObjectVisitor | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ visitDocument()

virtual void ARAObjectVisitor::visitDocument | ( | juce::ARADocument & |  | ) |
| virtual

Called when visiting an ARADocument object.

Referenced by ARADocument::visit().

## ◆ visitMusicalContext()

virtual void ARAObjectVisitor::visitMusicalContext | ( | juce::ARAMusicalContext & |  | ) |
| virtual

Called when visiting an ARAMusicalContext object.

Referenced by ARAMusicalContext::visit().

## ◆ visitRegionSequence()

virtual void ARAObjectVisitor::visitRegionSequence | ( | juce::ARARegionSequence & |  | ) |
| virtual

Called when visiting an ARARegionSequence object.

Referenced by ARARegionSequence::visit().

## ◆ visitPlaybackRegion()

virtual void ARAObjectVisitor::visitPlaybackRegion | ( | juce::ARAPlaybackRegion & |  | ) |
| virtual

Called when visiting an ARAPlaybackRegion object.

Referenced by ARAPlaybackRegion::visit().

## ◆ visitAudioModification()

virtual void ARAObjectVisitor::visitAudioModification | ( | juce::ARAAudioModification & |  | ) |
| virtual

Called when visiting an ARAAudioModification object.

Referenced by ARAAudioModification::visit().

## ◆ visitAudioSource()

virtual void ARAObjectVisitor::visitAudioSource | ( | juce::ARAAudioSource & |  | ) |
| virtual

Called when visiting an ARAAudioSource object.

Referenced by ARAAudioSource::visit().

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h